@import "../styles.scss";

div.form {
    width: calc(100% - 30px);
    padding: 15px;
    margin: 15px;
    border-radius: 5px;
    background: lighten($bg, 5%);

    h3 {
        font-size: 24px;
        font-weight: 400;
        margin: 0 0 15px;
        text-align: center;
    }

    p {
        font-size: 14px;
        font-style: italic;
        margin: 0 0 5px;
    }

    input {
        width: 100%;
        height: 30px;
        border-radius: 5px;
        border: 0;
        background: $bg;
        color: $fg;
        padding: 0 15px;
        font-size: 14px;
        margin: 0 0 15px;
    }

    div.cbs {
        display: flex;
        align-items: center;
        width: 100%;
        height: 50px;

        a.cb {
            width: 15px;
            height: 15px;
            border-radius: 50%;
            border: 2px solid $fg;
            margin: 0 10px 0 0;
            &:hover { background: darken($fg, 10%); }
            &.active { background: $fg; }
        }

        p {
            font-size: 18px;
            margin: 0 30px 0 0;
            cursor: pointer;
        }
    }

    p.or {
        text-align: center;
        font-size: 18px;
        font-style: normal;
    }

    a.button {
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 15px 0;
        width: 100%;
        height: 30px;
        border-radius: 5px;
        background: darken($pc, 10%);
        color: $fg;
        &:hover { background: $pc; }
    }
}
